package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import java.util.Date;

@Data
public class TradeHiddenRebateTable extends BaseTable {

    private Long ticket;

    private Long login;

    private String symbol;

    private String originalSymbol;

    private Date openTime;

    private Date closeTime;

    private Long groupType;

    private Float volume;

    private Float point;

    private Float pointValue;

    private Float rebate;

    private Long agentId;

    private String ibNo;

    private Long salesId;

    private String salesNo;

    private String platform;

    private Integer fixedHide;

    private Long fromAgentId;

    public static TradeHiddenRebateTable getInstance() {
        TradeHiddenRebateTable table = new TradeHiddenRebateTable();
        table.setRebate(0F);
        table.setPointValue(0F);
        table.setFixedHide(0);
        return table;
    }

}
